import QtQuick 2.4
import Ubuntu.Components 1.3
import Ubuntu.Components.Popups 1.3


Page {
    id: startPage
    title: "2. Page"

    property var popup

    Button {
        anchors.centerIn: parent
        text: "Kill"
        onClicked: {
            popup = PopupUtils.open(dialogComponent)
            timer.start()
        }
    }

    Timer {
        id: timer
        interval: 2000
        repeat: false
        onTriggered: {
            PopupUtils.close(popup)
            pageStack.clear()
            pageStack.push(Qt.resolvedUrl("StartPage.qml"))
        }

    }

    Component {
        id: dialogComponent
        Dialog {
            id: dialog
            title: "Waiting"
        }
    }

}

